use clap::Parser;


#[derive(Debug, Parser)]
pub(crate) struct CliArgs {
    /// Only generate assembly
    #[arg(long, short)]
    pub assemly: bool,


    #[arg(long, short, default_value="x86-64-nasm")]
    pub target: bfox_asmgen::AsmType,

    /// Output file
    #[arg(long, short, default_value="./a.out")]
    pub output: camino::Utf8PathBuf,

    /// Input code 
    pub input: camino::Utf8PathBuf
}