use super::Loc;


#[derive(Debug, Clone)]
pub struct Token {
    pub typ: TokenType,
    pub loc: Loc,
}

#[derive(Debug, Clone, Copy)]
pub enum TokenType {
    Add,
    Sub,
    Left,
    Right,
    LoopR,
    LoopL,
    Print,
    Input
}